com.sun.j3d.utils.compression

## Class GeometryCompressor

- java.lang.Object
- - com.sun.j3d.utils.compression.GeometryCompressor

- Deprecated.
  As of Java 3D 1.5, replaced by com.sun.j3d.utils.geometry.compression.`GeometryCompressor`.

      public class GeometryCompressor
      extends java.lang.Object

  A GeometryCompressor takes a stream of geometric elements and quantization parameters (the CompressionStream object) and compresses it into a stream of commands as defined by appendix B of the Java 3D specification. The resulting data may be output in the form of a CompressedGeometry node component or appended to a CompressedGeometryFile.
  See Also:
    `CompressionStream`, `CompressedGeometry`, `CompressedGeometryFile`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeometryCompressor()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressedGeometry` | `compress(CompressionStream stream)` Deprecated. Compress a stream into a CompressedGeometry node component.
    `void` | `compress(CompressionStream stream, CompressedGeometryFile f)` Deprecated. Compress a stream and append the output to a CompressedGeometryFile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeometryCompressor

          public GeometryCompressor()

      Deprecated.

  - ### Method Detail

    - #### compress

          public CompressedGeometry compress(CompressionStream stream)

      Deprecated.
      Compress a stream into a CompressedGeometry node component.
      Parameters:
        `stream` - CompressionStream containing the geometry to be compressed
      Returns:
        a CompressedGeometry node component

    - #### compress

          public void compress(CompressionStream stream,
                      CompressedGeometryFile f)
                        throws java.io.IOException

      Deprecated.
      Compress a stream and append the output to a CompressedGeometryFile. The resource remains open for subsequent updates; its close() method must be called to create a valid compressed geometry resource file.
      Parameters:
        `stream` - CompressionStream containing the geometry to be compressed
        `f` - a currently open CompressedGeometryFile with write access
      Throws:
        `java.io.IOException` - if write fails

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.